Package lxml :: Module etree :: Class _SaxParserContext

[hide private]
[frames] | no frames]

# Class _SaxParserContext

           object --+
                    |
    _ExceptionContext --+
                        |
         _ResolverContext --+
                            |
               _ParserContext --+
                                |
                               _SaxParserContext

Known Subclasses:
  _TargetParserContext

This class maps SAX2 events to method calls.

Instance Methods | [hide private]

__new__(T, S, ...) Returns: a new object with type S, a subtype of T |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(T, S, ...)

Returns:

      a new object with type S, a subtype of T

Overrides: _ParserContext.__new__